Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.service
Interface IPendingServiceCall

All Superinterfaces:
  IServiceCall

All Known Implementing Classes:
  PendingCall, RemotingCall

    public interface IPendingServiceCall

extends IServiceCall

IPendingServiceCall is a call that have a list of callbacks.

Method Summary
`Set<IPendingServiceCallback>` | `getCallbacks()` Returns list of callback objects, usually callback object represented as an anonymous class instance that implements IPendingServiceCallback interface.
`Object` | `getResult()` Returns service call result
`void` | `registerCallback(IPendingServiceCallback callback)` Registers callback object usually represented as an anonymous class instance that implements IPendingServiceCallback interface.
`void` | `setResult(Object result)` Setter for property 'result'.
`void` | `unregisterCallback(IPendingServiceCallback callback)` Unregisters callback object usually represented as an anonymous class instance that implements IPendingServiceCallback interface.

Methods inherited from interface org.red5.server.api.service.IServiceCall
`getArguments, getException, getServiceMethodName, getServiceName, getStatus, isSuccess, setException, setStatus`

Method Detail

### getResult

    Object getResult()

  Returns service call result

  Returns:
    Remote call result

### setResult

    void setResult(Object result)

  Setter for property 'result'.

  Parameters:
    `result` - Value to set for property 'result'.

### registerCallback

    void registerCallback(IPendingServiceCallback callback)

  Registers callback object usually represented as an anonymous class instance that implements IPendingServiceCallback interface.

  Parameters:
    `callback` - Callback object

### unregisterCallback

    void unregisterCallback(IPendingServiceCallback callback)

  Unregisters callback object usually represented as an anonymous class instance that implements IPendingServiceCallback interface.

  Parameters:
    `callback` - Callback object

### getCallbacks

    Set<IPendingServiceCallback> getCallbacks()

  Returns list of callback objects, usually callback object represented as an anonymous class instance that implements IPendingServiceCallback interface.

  Returns:
    Set of pending operations callbacks

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project